# Baby Buddy Generated on 24 Sep 2025 from [the Baby Buddy catalog page](https://marketplace.digitalocean.com/apps/baby-buddy) Track sleep, feedings, diaper changes, tummy time and more to learn about and predict baby’s needs without (as much) guess work. Provides an easy to use, responsive dashboard for desktop and mobile access to quickly enter and visualize data. ![Baby Buddy on dashboard on a desktop computer](https://raw.githubusercontent.com/babybuddy/babybuddy/master/screenshot.png) ![Baby Buddy on dashboard on mobile phones](https://raw.githubusercontent.com/babybuddy/babybuddy/master/screenshot_mobile.png) ## Software Included | Package | Version | License | |---|---|---| | [Baby Buddy](https://github.com/babybuddy/babybuddy) | [2.7.1](https://github.com/babybuddy/babybuddy/releases/tag/v2.7.1) | [BSD 2-Clause](https://github.com/babybuddy/babybuddy/blob/master/LICENSE) | ## Creating an App using the Control Panel Click the **Deploy to DigitalOcean** button to create a Droplet based on this 1-Click App. If you aren’t logged in, this link will prompt you to log in with your DigitalOcean account. [![Deploy to DO](https://www.deploytodo.com/do-btn-blue.svg)](https://cloud.digitalocean.com/droplets/new?image=babybuddy) ## Creating an App using the API In addition to creating a Droplet from the Baby Buddy 1-Click App using the control panel, you can also use the [DigitalOcean API](https://docs.digitalocean.com/reference/api). As an example, to create a 4GB Baby Buddy Droplet in the SFO2 region, you can use the following `curl` command. You need to either save your [API access token](https://docs.digitalocean.com/reference/api/create-personal-access-token/index.html.md) to an environment variable or substitute it in the command below. ```shell curl -X POST -H 'Content-Type: application/json' \ -H 'Authorization: Bearer '$TOKEN'' -d \ '{"name":"choose_a_name","region":"sfo2","size":"s-2vcpu-4gb","image":"babybuddy"}' \ "https://api.digitalocean.com/v2/droplets" ``` ## Getting Started After Deploying Baby Buddy 1. Navigate to [http://your\_droplet\_public\_ipv4](http://your_droplet_public_ipv4) 2. Log in with the default user name and password (`admin`/`admin`) 3. Navigate to [http://your\_droplet\_public\_ipv4/user/password/](http://your_droplet_public_ipv4/user/password/) to set a new password. 4. Add a baby and start tracking!